> ## Documentation Index
> Fetch the complete documentation index at: https://developer.audiohook.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

## List all creatives

> Request example

```shell theme={null}
curl -X GET https://betaapi.audiohook.com/v2/companies/:companyUUID/creatives \
  -H "Authorization: Bearer ${API_TOKEN}" \
  -H "Content-Type: application/json" \
  -d '{
		"request_headers": [
			{ "name": "X-Request-Header", "value": "Header value" }
		]
    }'
```

> Response sample

> 200 OK

```json theme={null}
{
  "Message": "",
  "type": "success",
  "_token": "eyJhbGciOiJSUzI1NiIsImtpZCI6Imp3ay10ZXN0LWI2MTc4N2M4LWVmYTMtNDI3MS04NWNkLWE0ZTk0NzA3MTY3ZiIsInR5cCI6IkpXVCJ9.eyJhdWQiOlsicHJ.BzYMMqvsvo6MswS4jLNvEBKCASpsFzaTjPTJWy",
  "Creatives": [
    {
      "id": 9999,
      "creative_name": "Example ad",
      "created": "2023-02-13 17:00:34.136373",
      "audio_set_url": "https://ah-advertiser-creatives.s3.amazonaws.com/1234-abcd-qwer-xcvb/creatives/9999/audioad.wav",
      "display_asset_url": "https://ah-advertiser-creatives.s3.amazonaws.com/1234-abcd-qwer-xcvb/creatives/9999/displayad.jpg",
      "click_through_url": "https://test.com",
      "advertiser_id": 123,
      "converted": true,
      "filename": "audioad.wav",
      "status": true,
      "start_flight_date": null,
      "end_flight_date": null,
      "tags": [],
      "events_enabled": false,
      "events": [],
      "duration_secs": "30.09",
      "campaigns": [],
      "errors": []
    },
    {
      "id": 99999,
      "creative_name": "Example ad 2",
      "created": "2023-02-13 16:58:35.602515",
      "audio_set_url": "https://ah-advertiser-creatives.s3.amazonaws.com/1234-abcd-qwer-xcvb/creatives/99999/audioad.wav",
      "display_asset_url": "https://ah-advertiser-creatives.s3.amazonaws.com/1234-abcd-qwer-xcvb/creatives/99999/displayad.jpg",
      "click_through_url": "https://test.com",
      "advertiser_id": 123,
      "converted": true,
      "filename": "audioad.wav",
      "status": true,
      "start_flight_date": null,
      "end_flight_date": null,
      "tags": [],
      "events_enabled": false,
      "events": [],
      "duration_secs": "30.09",
      "campaigns": [],
      "errors": []
    }
  ],
  "page": "0",
  "size": "10",
  "total_records": 2
}
```

Returns a list of all creatives for a company.

### HTTP Request

`GET /v2/companies/:companyUUID/creatives/:creative_id`

### Query Parameters

| Parameter | Default     | Data Type | Description                                  |
| --------- | ----------- | --------- | -------------------------------------------- |
| page      | 0           | integer   | The page of integrations to return.          |
| size      | 30          | integer   | The total number of integrations to be sent. |
| order\_by | section asc | string    | Order the response based off a key           |
| q         | None        | string    | Filter by name or file name                  |
